﻿XIncludeFile "MemoryModule.pbi"

DataSection
 glfw3:
CompilerIf (#PB_Compiler_Processor = #PB_Processor_x86)
 IncludeBinary "glfw3.x86.dll"
CompilerElse   
 IncludeBinary "glfw3.x64.dll"
CompilerEndIf
EndDataSection

Define hglfw = MemoryLoadLibrary(?glfw3)

If hglfw
    PrototypeC.i glfwInit() : Global glfwInit.glfwInit = MemoryGetProcAddress(hglfw, "glfwInit")    
    PrototypeC.i glfwGetVersionString() : Global glfwGetVersionString.glfwGetVersionString = MemoryGetProcAddress(hglfw, "glfwGetVersionString")
    
    Debug "glfwInit() = " + glfwInit()
    Debug "glfwGetVersionString() = " + PeekS(glfwGetVersionString(), -1, #PB_UTF8)
    
    MemoryFreeLibrary(hglfw)
EndIf

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = -
; EnableXP
; EnableUser
; CPU = 1
; CompileSourceDirectory
; EnableExeConstant
; EnableUnicode